# Interface ICefXmlReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefXmlReader = interface(ICefBaseRefCounted)`

## Description

Interface that supports the reading of XML data via the libxml streaming API. The functions of this interface should only be called on the thread that creates the object.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_xml_reader_capi.h">CEF source file: /include/capi/cef_xml_reader_capi.h (cef_xml_reader_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefXmlReader

## Overview

### Methods

| `function MoveToNextNode: Boolean;`
| `function Close: Boolean;`
| `function HasError: Boolean;`
| `function GetError: ustring;`
| `function GetType: TCefXmlNodeType;`
| `function GetDepth: Integer;`
| `function GetLocalName: ustring;`
| `function GetPrefix: ustring;`
| `function GetQualifiedName: ustring;`
| `function GetNamespaceUri: ustring;`
| `function GetBaseUri: ustring;`
| `function GetXmlLang: ustring;`
| `function IsEmptyElement: Boolean;`
| `function HasValue: Boolean;`
| `function GetValue: ustring;`
| `function HasAttributes: Boolean;`
| `function GetAttributeCount: NativeUInt;`
| `function GetAttributeByIndex(index: Integer): ustring;`
| `function GetAttributeByQName(const qualifiedName: ustring): ustring;`
| `function GetAttributeByLName(const localName, namespaceURI: ustring): ustring;`
| `function GetInnerXml: ustring;`
| `function GetOuterXml: ustring;`
| `function GetLineNumber: Integer;`
| `function MoveToAttributeByIndex(index: Integer): Boolean;`
| `function MoveToAttributeByQName(const qualifiedName: ustring): Boolean;`
| `function MoveToAttributeByLName(const localName, namespaceURI: ustring): Boolean;`
| `function MoveToFirstAttribute: Boolean;`
| `function MoveToNextAttribute: Boolean;`
| `function MoveToCarryingElement: Boolean;`

## Description

### Methods

| `function MoveToNextNode: Boolean;`
Moves the cursor to the next node in the document. This function must be called at least once to set the current cursor position. Returns true (1) if the cursor position was set successfully. ###### Attributes GUID['{0DE686C3-A8D7-45D2-82FD-92F7F4E62A90}']

| `function Close: Boolean;`
Close the document. This should be called directly to ensure that cleanup occurs on the correct thread.

| `function HasError: Boolean;`
Returns true (1) if an error has been reported by the XML parser.

| `function GetError: ustring;`
Returns the error string.

| `function GetType: TCefXmlNodeType;`
Returns the node type.

| `function GetDepth: Integer;`
Returns the node depth. Depth starts at 0 for the root node.

| `function GetLocalName: ustring;`
Returns the local name. See http://www.w3.org/TR/REC-xml-names/#NT- LocalPart for additional details.

| `function GetPrefix: ustring;`
Returns the namespace prefix. See http://www.w3.org/TR/REC-xml-names/ for additional details.

| `function GetQualifiedName: ustring;`
Returns the qualified name, equal to (Prefix:)LocalName. See http://www.w3.org/TR/REC-xml-names/#ns-qualnames for additional details.

| `function GetNamespaceUri: ustring;`
Returns the URI defining the namespace associated with the node. See http://www.w3.org/TR/REC-xml-names/ for additional details.

| `function GetBaseUri: ustring;`
Returns the base URI of the node. See http://www.w3.org/TR/xmlbase/ for additional details.

| `function GetXmlLang: ustring;`
Returns the xml:lang scope within which the node resides. See http://www.w3.org/TR/REC-xml/#sec-lang-tag for additional details.

| `function IsEmptyElement: Boolean;`
Returns true (1) if the node represents an NULL element. "<a/>" is considered NULL but "<a></a>" is not.

| `function HasValue: Boolean;`
Returns true (1) if the node has a text value.

| `function GetValue: ustring;`
Returns the text value.

| `function HasAttributes: Boolean;`
Returns true (1) if the node has attributes.

| `function GetAttributeCount: NativeUInt;`
Returns the number of attributes.

| `function GetAttributeByIndex(index: Integer): ustring;`
Returns the value of the attribute at the specified 0-based index.

| `function GetAttributeByQName(const qualifiedName: ustring): ustring;`
Returns the value of the attribute with the specified qualified name.

| `function GetAttributeByLName(const localName, namespaceURI: ustring): ustring;`
Returns the value of the attribute with the specified local name and namespace URI.

| `function GetInnerXml: ustring;`
Returns an XML representation of the current node's children.

| `function GetOuterXml: ustring;`
Returns an XML representation of the current node including its children.

| `function GetLineNumber: Integer;`
Returns the line number for the current node.

| `function MoveToAttributeByIndex(index: Integer): Boolean;`
Moves the cursor to the attribute at the specified 0-based index. Returns true (1) if the cursor position was set successfully.

| `function MoveToAttributeByQName(const qualifiedName: ustring): Boolean;`
Moves the cursor to the attribute with the specified qualified name. Returns true (1) if the cursor position was set successfully.

| `function MoveToAttributeByLName(const localName, namespaceURI: ustring): Boolean;`
Moves the cursor to the attribute with the specified local name and namespace URI. Returns true (1) if the cursor position was set successfully.

| `function MoveToFirstAttribute: Boolean;`
Moves the cursor to the first attribute in the current element. Returns true (1) if the cursor position was set successfully.

| `function MoveToNextAttribute: Boolean;`
Moves the cursor to the next attribute in the current element. Returns true (1) if the cursor position was set successfully.

| `function MoveToCarryingElement: Boolean;`
Moves the cursor back to the carrying element. Returns true (1) if the cursor position was set successfully.

Generated by PasDoc 0.16.0-snapshot.